package cn.iocoder.yudao.module.product.convert.inspection;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.product.controller.admin.inspection.vo.*;
import cn.iocoder.yudao.module.product.dal.dataobject.inspection.InspectionDO;

/**
 * 检验检疫 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface InspectionConvert {

    InspectionConvert INSTANCE = Mappers.getMapper(InspectionConvert.class);

    InspectionDO convert(InspectionCreateReqVO bean);

    InspectionDO convert(InspectionUpdateReqVO bean);

    InspectionRespVO convert(InspectionDO bean);

    List<InspectionRespVO> convertList(List<InspectionDO> list);

    PageResult<InspectionRespVO> convertPage(PageResult<InspectionDO> page);

    List<InspectionExcelVO> convertList02(List<InspectionDO> list);

}
